<bugID>808641<Summary>Registering an nsIContentPolicy implementation causes error "this.docShell is null" in the "browser.xml" binding</Summary><Description>If an add-on registers its own nsIContentPolicy implementation, even if it
does nothing and always returns ACCEPT, the following is displayed in the
Error Console every time a new window is opened:

Error: this.docShell is null
Source File: chrome://global/content/bindings/browser.xml
Line: 323

I observed this with the Mozilla Archive Format and Adblock Plus add-ons.
This happens in release but does not happen with the latest ESR version.

Excerpt from chrome.manifest:

component	{7380f280-ab36-4a23-b213-35c64f8586a0}	components/mafContentPolicy.js
contract	@amadzone.org/maf/content-policy;1	{7380f280-ab36-4a23-b213-35c64f8586a0}
category	content-policy	MafContentPolicy	@amadzone.org/maf/content-policy;1

Excerpt from mafContentPolicy.js:

function MafContentPolicy() {

}

MafContentPolicy.prototype = {
  // General XPCOM component attributes
  classDescription: "Mozilla Archive Format Content Policy",
  classID:          Components.ID("{7380f280-ab36-4a23-b213-35c64f8586a0}"),
  contractID:       "@amadzone.org/maf/content-policy;1",
  QueryInterface:   XPCOMUtils.generateQI([Ci.nsIContentPolicy]),

  // Use XPCOMUtils to register with the category manager
  _xpcom_categories: [{category: "content-policy"}],

  // --- nsIContentPolicy interface functions ---

  shouldLoad: function(aContentType, aContentLocation, aRequestOrigin,
                       aContext, aMimeTypeGuess, aExtra) {
    return Ci.nsIContentPolicy.ACCEPT;
  },

  shouldProcess: function(aContentType, aContentLocation, aRequestOrigin,
                          aContext, aMimeType, aExtra) {
    return Ci.nsIContentPolicy.ACCEPT;
  }
};</Description></bugID>